commit:     dee29f78ed28756a7d7c2db3d4ef38effd81e7f0
Author:     Peter Alfredsen <crabbedhaloablution <AT> icloud <DOT> com>
AuthorDate: Fri Dec 11 12:31:18 2020 +0000
Commit:     Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Fri Dec 11 21:34:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dee29f78

sys-boot/raspberrypi-firmware: simple bump to 1.20201201

Closes: https://bugs.gentoo.org/759262
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Peter Alfredsen <crabbedhaloablution <AT> icloud.com>
Closes: https://github.com/gentoo/gentoo/pull/18581
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>

 sys-boot/raspberrypi-firmware/Manifest             |  1 +
 .../raspberrypi-firmware-1.20201201.ebuild         | 72 ++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/sys-boot/raspberrypi-firmware/Manifest 
b/sys-boot/raspberrypi-firmware/Manifest
index 1520157a408..982d64a04bf 100644
--- a/sys-boot/raspberrypi-firmware/Manifest
+++ b/sys-boot/raspberrypi-firmware/Manifest
@@ -1,2 +1,3 @@
 DIST raspberrypi-firmware-1.20190925.tar.gz 185571086 BLAKE2B 
c3a9b2760fa853fbd1dd09bc4048c9e78594f88da5af608c3a761554d4046a4c869db8981c64140a24e82e0a61b8dc776bb8d895df60c6424e44780f78b18cb0
 SHA512 
4b7b29cc6c2a33d7a37987c492034d9afbb2220364c50cf265e0adf8e5f393c2275dcffaa77c89b3f43b2e98d199741b67590cb60ff8beae8ef677852f63b4a0
 DIST raspberrypi-firmware-1.20201022.tar.gz 189827375 BLAKE2B 
94c38f60d688c8e3ebab830912daccbb6c04bdd3d88f6ca0d07d85be0a6b12c53f0266b4c258ed4694f30bad5db30fb6d30feabfd0b7668735a9a806b820d325
 SHA512 
876758179df27109984b6c3f4849fdcdc6bdcc2769495fcc83c97fc3ff4d07b9f3cd58086be877503f72c9e5417d2be6d6c33bce4cbb3b862055117c9cc26db8
+DIST raspberrypi-firmware-1.20201201.tar.gz 189332299 BLAKE2B 
b3ec91f07b4713d26c29be5412d018a220129eef7ddf7c5c09d85e645c2c5754a95f13be7e690ab40648a982e3974cc760aa5b33c76612da836227d38c4ee3a5
 SHA512 
a7f4591552718956bd7f2d0d377234277e2e6f18cc9714ea30fe13f26d5ae1164b982f39dcf72ae4a18663369ef06d0187d8182713763262371c13107aac4c65

diff --git 
a/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild 
b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild
new file mode 100644
index 00000000000..55d6595f60b
--- /dev/null
+++ b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mount-boot readme.gentoo-r1
+
+if [[ "${PV}" == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/raspberrypi/firmware";
+       EGIT_CLONE_TYPE="shallow"
+else
+       SRC_URI="https://github.com/raspberrypi/firmware/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="-* ~arm ~arm64"
+       S="${WORKDIR}/firmware-${PV}"
+fi
+
+DESCRIPTION="Raspberry Pi (all versions) bootloader and GPU firmware"
+HOMEPAGE="https://github.com/raspberrypi/firmware";
+
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+RESTRICT="binchecks strip"
+
+DOC_CONTENTS="Please configure your ram setup by editing /boot/config.txt"
+
+src_prepare() {
+       default
+
+       cp "${FILESDIR}"/${PN}-1.20201022-config.txt "${WORKDIR}" || die
+
+       if use arm64; then
+               # Force selection of the 64-bit kernel8.img to match our 
userland
+               echo "arm_64bit=1" >> "${WORKDIR}"/${PN}-1.20201022-config.txt 
|| die
+       fi
+}
+
+src_install() {
+       insinto /boot
+       cd boot || die
+       doins bootcode.bin fixup*.dat start*elf
+       newins "${WORKDIR}"/${PN}-1.20201022-config.txt config.txt
+       newins "${FILESDIR}"/${PN}-1.20201022-cmdline.txt cmdline.txt
+       newenvd "${FILESDIR}"/${PN}-0_p20130711-envd 90${PN}
+       readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+               local msg=""
+
+               if [[ -e "${ED}"/boot/cmdline.txt ]] && [[ -e /boot/cmdline.txt 
]] ; then
+                       msg+="/boot/cmdline.txt "
+               fi
+
+               if [[ -e "${ED}"/boot/config.txt ]] && [[ -e /boot/config.txt 
]] ; then
+                       msg+="/boot/config.txt "
+               fi
+
+               if [[ -n "${msg}" ]] ; then
+                       msg="This package installs following files: ${msg}."
+                       msg="${msg} Please remove (backup) your copies during 
install"
+                       msg="${msg} and merge settings afterwards."
+                       msg="${msg} Further updates will be CONFIG_PROTECTed."
+                       die "${msg}"
+               fi
+       fi
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to